Bug 12174 - error: 'conn' undeclared
error: 'conn' undeclared
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.5.0rc2
All All
: P5 major
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-24 17:12 UTC by Tom Schulz
Modified: 2016-08-29 02:49 UTC (History)
2 users (show)

See Also:


Attachments
test patch for master. (958 bytes, patch)
2016-08-24 17:33 UTC, Jeremy Allison
no flags Details
git-am fix for 4.5.0 (1.04 KB, patch)
2016-08-25 17:51 UTC, Jeremy Allison
uri: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Schulz 2016-08-24 17:12:49 UTC
Trying to build samba-4.5.0rc2 on a Solaris 10 i386 machine using gcc 4.7.2.
The compile fails with:

../source3/modules/vfs_solarisacl.c:
      In function 'solarisacl_sys_acl_set_file':
../source3/modules/vfs_solarisacl.c:
      177:8: error: 'conn' undeclared (first use in this function)

The offending statement is:

     ret = SMB_VFS_STAT(conn, &smb_fname);
Comment 1 Jeremy Allison 2016-08-24 17:33:58 UTC
Created attachment 12396 [details]
test patch for master.

Can you confirm this fixes it ?
Comment 2 Tom Schulz 2016-08-24 17:49:28 UTC
That fixes it.
Comment 3 Jeremy Allison 2016-08-25 17:51:20 UTC
Created attachment 12402 [details]
git-am fix for 4.5.0

Cherry-picked from master.
Comment 4 Uri Simchoni 2016-08-25 18:17:09 UTC
Assigning to Karolin for 4.5.0
Comment 5 Stefan Metzmacher 2016-08-28 16:13:36 UTC
Pushed to autobuild-v4-5-test.
Comment 6 Stefan Metzmacher 2016-08-29 02:49:32 UTC
Pushed to v4-5-test.